<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');

	class Ajax extends CI_Controller {
		/*
		 *	Constructor
		 */
		function __construct() {
			parent::__construct();
			
			//Load required library
			$this->load->model('user', '', TRUE);
		}
		
		/*
		 *	This function loads a popupview to be displayed, the argument is the name of the popupview
		 */
		public function popup($popupName) {
			$popup = $this->load->view('popup/'.$popupName, '', TRUE);
			return $popup;
		}
		
		
		/*
		 *	This function outputs data: user password hint.
		 */
		public function pwdhint() {
		$user = $this->input->post('hintPwd');
			$data = array(
				'hint' => $this->user->getPasswordHint($user)
			);
			
			//Output JSON data
			echo json_encode($data);
		}

		/*
		 *	This function outputs data: user password hint.
		 */
		public function ladok() {
			$string = $this->input->post('data');
			
			$parsedArray = $this->user->parseLadok($string);
			
			if ($parsedArray === FALSE) {
				$data = array('status' => FALSE);				
			} else {
				//Add users to database
				foreach ($parsedArray as $key => $value) {
					$this->user->addUser($parsedArray[$key]['username'], $parsedArray[$key]['firstname'] . ' ' . $parsedArray[$key]['lastname'], $parsedArray[$key]['ssn'], $parsedArray[$key]['ssn'], 'Student', 'Default', $parsedArray[$key]['email']);
				}
			
				$data = array('status' => TRUE);			
			}
			
			//Output JSON data
			echo json_encode($data);
		}
		
		/*
		 *	This function outputs data: user password hint.
		 */
		public function pwdchange() {
			$pwdOld = $this->input->post('currentPwd');
			$pwdNew = $this->input->post('newPwd');
			$pwdHint = $this->input->post('hintPwd');
		
			$data = array(
				'status' => $this->user->changePassword($pwdOld, $pwdNew, $pwdHint)
			);
			
			//Output JSON data
			echo json_encode($data);
		}
		
		public function categoryOrderDecrease(){
			$pwdOld = $this->input->post('currentPwd');
			$pwdNew = $this->input->post('newPwd');
		}

		// Takes a course ID and sets the course to published (isHidden = 0)
		public function publishCourse($courseID) {

		}

		//Takes a course ID and sets the course to unpublished (isHidden = 1)
		public function unpublishCourse($courseID) {
			
		}
	}
?>