			<div id="manageCourses">
			<!-- examplesBody.php -->
				<div id="manageCoursesMenu">
					<h1 class="viewTitle">Manage Courses</h1>
					 <!-- Only displayed when teacher -->
					<a class="btn" id="addCourseButton" href="#">Add course</a>
				</div>

				<div id="bodyContainer">
					<table>
						<tr>
							<th>Course Name</th>
							<th>Course Code</th>
							<th>Description</th>
							<th>Edit Course Details</th>
						</tr>
						<? foreach($courses as $item): ?>
						<tr data-course="<?= $item->courseID; ?>">
							<td class="courseName"><?= $item->name; ?></td>
							<td class="courseID"><?= $item->courseID; ?></td>
							<td class="courseData"><?= $item->courseData; ?></td>
							<td><a href="#" class="manageCourseButton">Manage Course</a></td>
							<td><pre><?=var_dump($item);?></pre></td>
						</tr>
						<? endforeach; ?>
					</table>
				</div>
				<div id="addCourse" class="manageCoursePopup">
					<h2 class="popupHeader">Add Course</h2>
					<?= form_open(base_url().'ManageCourses/addCourse'); ?>
						<ul>
							<li>
								<label for="addCourseID">Course Code:</label>
								<input type="text" class="text" name="addCourseID" id="addCourseID" placeHolder="Course Code">
							</li>
							<li>
								<label for="addCourseName">Course Name:</label>
								<input type="text" class="text" name="addCourseName" id="addCourseName" placeHolder="Course Name">
							</li>
							<li>
								<label for="addCourseData">Course Description:</label>
								<input type="text" class="text" name="addCourseData" id="addCourseData" placeHolder="Course Description">
							</li>
						</ul>
						<div class="manageCoursePopupMenu">
							<button class="popupButtons btn" type="submit">Confirm</button>
							<button class="cancelButton popupButtons btn">Cancel</button>
						</div>
					<?= form_close(); ?>
				</div>	
				
				<div id="editCourse" class="manageCoursePopup">
					<h2 class="popupHeader">Edit Course</h2>
					<?= form_open(base_url().'ManageCourses/editCourse'); ?>
						<ul>
							<li>
								<label for="editCourseID">Course Code:</label>
								<span>Course Code</span>
								<input type="hidden" id="editCourseID" name="editCourseID">
							</li>
							<li>
								<label for="editCourseName">Course Name:</label>
								<input type="text" class="text" name="editCourseName" id="editCourseName">
							</li>
							<li>
								<label for="editCourseData">Course Description:</label>
								<input type="text" class="text" name="editCourseData" id="editCourseData">
							</li>
						</ul>
						<div class="manageCoursePopupMenu">
							<button class="popupButtons btn" type="submit">Confirm</button>
							<button class="cancelButton popupButtons btn">Cancel</button>
						</div>
					<?= form_close(); ?>
				</div>	
			</div><!-- end #manageCourses -->
		</div> <!-- end #wrapper -->
	</body>
</html>
	