/* Functions */
$(document).ready(function(){
	$('body').click(function(e){
		$('#addCourse').fadeOut(300);
		$('#editCourse').fadeOut(300);
	});	
	
	$('#addCourse').click(function(e){
		e.stopPropagation();
	});	
	$('#editCourse').click(function(e){
		e.stopPropagation();
	});	
	
	
	$('#addCourseButton').click(function(e){
		var target = $('#addCourse');
		if(target.is(":hidden")){
			target.fadeIn(300);
			e.stopPropagation();
		}
		else{
			target.fadeOut(300);
		}
		
	});
	
	$('.manageCourseButton').click(function(e){
		var target = $('#editCourse');
		if(target.is(":hidden")){

			var courseID = $(this).parent().prevAll(".courseID").html();
			var courseName = $(this).parent().prevAll(".courseName").html();
			var courseData = $(this).parent().prevAll(".courseData").html();

			showManageCourse(courseID, courseName, courseData);
			e.stopPropagation();
		}
		else{
			target.fadeOut(300);
		}
		
	});

	$(".cancelButton").click(function(e) {
		$(this).closest(".manageCoursePopup").fadeOut(300);
		e.preventDefault();
		e.stopPropagation();
	});

	$("#manageCourses table tr:odd").addClass("odd");
	$("#manageCourses table tr:even").addClass("even");

});

function showManageCourse(courseID, courseName, courseData) {
	$("#editCourse").fadeIn(300);
	$("#editCourse #editCourseName").attr("value", courseName);
	$("#editCourse span").html(courseID);
	$("#editCourse #editCourseID").attr("value", courseID)
	$("#editCourse #editCourseData").attr("value", courseData);
}

window.onkeyup = function(event){
	if(event.keyCode==27){
		$('#addCourse').fadeOut(300);
	}
}
